
# Лабораторная работа 1 Дозорова ПИбд-42
В рамках лабораторной работы были развернуты три сервиса с помощью docker-compose:
 - Postgres
 - MediaWiki
 - gitea
## Пример docker-compose для одного из сервисов 
```
postgres:                               - название сервиса
    image: postgres:12.20-alpine3.20    - разворачиваемый образ
    restart: always                     - параметр, означающий перезапуск при падении
    environment:                        - переменные среды для сервиса
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: example
    ports:                              - проброшенные порты с хоста внутрь контейнера
      - 5432:5432
    volumes:                            - проброшенные тома с хоста внутрь контейнера
      - ./database:/var/lib/mysql
```
## Запуск
Для запуска лабораторной работы необходимо иметь запущенный Docker\Docker Desktop на устройстве.
Необходимо перейти в папку, где располагается yml файл. Далее открыть терминал и ввести команду:
```
docker compose up
```
Для выполнения в фоновом режиме можно использовать флаг `-d`. Результат выполнения:
```
[+] Running 3/3
 ✔ Container dozorova_alena_lab_1-mediawiki-1  Started                                                             0.7s
 ✔ Container gitea                             Started                                                             1.0s
 ✔ Container dozorova_alena_lab_1-postgres-1   Started                                                             1.0s
```

## Видео демонстрация
Видеодемонстрация доступна по ссылке: https://drive.google.com/file/d/1cT-p-od2BjCloeTr7kcMGm9hb3htsxcs/view?usp=sharing