# Docker Compose: RabbitMQ, Mediawiki, Wordpress

## Описание проекта

Этот проект разворачивает три сервиса с помощью Docker Compose:
1. **RabbitMQ** —  брокер сообщений.
2. **Mediawiki** — движок вики.
3. **Wordpress** — популярная система управления контентом.


## Команды для запуска

Из директории с файлом docker-compose.yml запустить сервисы docker-compose up --build

## Сервисы и порты
1. **RabbitMQ:**  
   Доступ по адресу http://localhost:15672/ (логин: admin, пароль: admin).

2. **Mediawiki:**  
   Доступ по адресу http://localhost:8081/.


3. **Wordpress:**  
   Доступ по адресу http://localhost:8082/.

## Видео https://drive.google.com/file/d/1NvsMFoMU2ecsQ17EouqB_ZaLBskonHv0/view?usp=sharing